<?php
/**
 * Template part for displaying posts.
 *
 * @package One Paze
 */
$blog_layout = get_theme_mod('blog_page_layouts');
$img_size = '';
switch ($blog_layout) {
    case 'blog_image_large' :
    case 'blog_full_content' :
        $img_size = 'one-paze-blog-large-image';
        break;
    case 'blog_image_medium' :
    case 'blog_image_alt_medium' :
        $img_size = 'one-paze-blog-medium-image';
        break;
}
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="clearfix">
        <?php /*
          <div class="meta-info">
          <?php
          $dates = get_the_date('F,j,Y');
          $date_arr = explode(',', $dates);
          $day = $date_arr[1];
          $month = $date_arr[0];
          $year = $date_arr[2];
          ?>
          <div class="posted-date">
          <span><?php echo $day; ?></span>
          <span><?php echo $month.' '.$year; ?></span>
          </div>

          <div class="post-metas">
          <p>
          <i class="fa fa-user"></i><?php _e('By', 'one-paze'); ?><span> <?php echo get_the_author_meta('display_name'); ?>
          </p>

          <?php if(has_category()) : ?>
          <p>
          <i class="fa fa-folder"></i><?php _e('Posted In', 'one-paze'); ?> <span><?php the_category(', '); ?></span>
          </p>
          <?php endif; ?>
          <?php if(comments_open()) : ?>
          <p>
          <i class="fa fa-comment"></i><?php _e('With', 'one-paze'); ?><?php comments_popup_link(); ?></span>
          </p>
          <?php endif; ?>
          </span>
          </div>
          </div>
         */ ?>
        <div class="blog-post-content">
            <a href="<?php the_permalink(); ?>">
                <h2><?php echo get_the_title(); ?></h2>
            </a>
            <div class="blog_desc clearfix">
                <header class="entry-header">
                    <?php if (has_post_thumbnail()) : ?>
                        <figure class="archive-post-thumbnail">
                            <?php
                            $img = wp_get_attachment_image_src(get_post_thumbnail_id(), $img_size);
                            $img_src = $img[0];
                            ?>
                            <a href="<?php the_permalink(); ?>">
                                <img src="<?php echo $img_src; ?>" alt="<?php the_title_attribute(); ?>" title="<?php the_title_attribute(); ?>" />
                            </a>
                        </figure>
                    <?php endif; ?>
                </header><!-- .entry-header -->

                <div class="entry-content">
                    <?php if ($blog_layout == 'blog_full_content') : ?>
                        <?php the_content(); ?>
                    <?php else : ?>
                        <?php the_excerpt(); ?>
                    <?php endif; ?>
                </div><!-- .entry-content -->
            </div>
            <div class="clearfix"></div>
            <div class="post-meta-infos">
                <span class="entry-footer-wrapper clearfix">
                    <span class="author user-wrapper"><i class="fa fa-user"></i><a href="<?php ?>"><?php echo get_the_author_meta('display_name'); ?></a></span>
                    <span class="posted-date user-wrapper"><i class="fa fa-calendar"></i><a href="<?php ?>"><?php echo the_time('F y, j'); ?></a></span>
                    <?php if (has_category()) : ?>
                        <span class="category user-wrapper"><i class="fa fa-folder"></i><?php the_category(', '); ?></span>
                    <?php endif; ?>
                    <?php if (comments_open()) : ?>
                        <span class="comments user-wrapper"><i class="fa fa-comment"></i><?php comments_popup_link(); ?></span>
                    <?php endif; ?>
                    <?php if ($blog_layout != 'blog_full_content') : ?>
                        <span class="readmore">
                            <a href="<?php the_permalink(); ?>">
                                <?php _e('Read More...', 'one-paze'); ?>
                            </a>
                        </span>
                    <?php endif; ?>
                </span>
            </div>
        </div>
    </div>
</article><!-- #post-## -->
